import { DataTypes, Model } from 'sequelize';
import { ID } from '@goodrequest/passport-jwt-wrapper';
import { PERMISSION } from '../utils/enums';
export declare class BaseUserModel<IDTYPE extends ID> extends Model {
    id: IDTYPE;
    email: string;
    emailSlug: string;
    hash: string;
    permission: PERMISSION;
    confirmedAt: string;
    createdAt: string;
    updatedAt: string;
    deletedAt: string;
}
/**
 * Does not have id defined
 */
export declare const BaseUserModelAttributes: {
    email: {
        type: DataTypes.TextDataTypeConstructor;
        allowNull: boolean;
    };
    emailSlug: {
        type: DataTypes.TextDataTypeConstructor;
        allowNull: boolean;
    };
    name: {
        type: DataTypes.TextDataTypeConstructor;
        allowNull: boolean;
    };
    hash: {
        type: DataTypes.TextDataTypeConstructor;
        allowNull: boolean;
    };
    permission: {
        type: DataTypes.EnumDataType<PERMISSION>;
        allowNull: boolean;
    };
    confirmedAt: {
        type: DataTypes.DateDataTypeConstructor;
        allowNull: boolean;
    };
};
declare const _default: typeof BaseUserModel;
export default _default;
