"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseUserModelAttributes = exports.BaseUserModel = void 0;
const sequelize_1 = require("sequelize");
const enums_1 = require("../utils/enums");
class BaseUserModel extends sequelize_1.Model {
}
exports.BaseUserModel = BaseUserModel;
/**
 * Does not have id defined
 */
exports.BaseUserModelAttributes = {
    email: {
        type: sequelize_1.DataTypes.TEXT,
        allowNull: false
    },
    emailSlug: {
        type: sequelize_1.DataTypes.TEXT,
        allowNull: false
    },
    name: {
        type: sequelize_1.DataTypes.TEXT,
        allowNull: true
    },
    hash: {
        type: sequelize_1.DataTypes.TEXT,
        allowNull: true
    },
    permission: {
        type: sequelize_1.DataTypes.ENUM(...enums_1.PERMISSIONS),
        allowNull: false
    },
    confirmedAt: {
        type: sequelize_1.DataTypes.DATE,
        allowNull: true
    }
};
function defineBaseUserModel() {
    return BaseUserModel;
}
exports.default = defineBaseUserModel();
