import { DataTypes, InitOptions } from 'sequelize';
import { BaseUserModel } from './baseUser';
export declare class BigIntUserModel extends BaseUserModel<number> {
    name?: string;
    nameSlug?: string;
    surname?: string;
    surnameSlug?: string;
    phone?: string;
    phoneSlug?: string;
    createdBy: number;
    creator: BigIntUserModel;
    updatedBy: number;
    editor: BigIntUserModel;
    deletedBy: number;
    destructor: BigIntUserModel;
}
export declare const BigIntUserModelAttributes: {
    id: {
        type: DataTypes.BigIntDataTypeConstructor;
        allowNull: boolean;
        primaryKey: boolean;
        autoIncrement: boolean;
    };
    nameSlug: {
        type: DataTypes.TextDataTypeConstructor;
        allowNull: boolean;
    };
    surname: {
        type: DataTypes.TextDataTypeConstructor;
        allowNull: boolean;
    };
    surnameSlug: {
        type: DataTypes.TextDataTypeConstructor;
        allowNull: boolean;
    };
    phone: {
        type: DataTypes.TextDataTypeConstructor;
        allowNull: boolean;
    };
    phoneSlug: {
        type: DataTypes.TextDataTypeConstructor;
        allowNull: boolean;
    };
    createdBy: {
        type: DataTypes.BigIntDataTypeConstructor;
        allowNull: boolean;
    };
    updatedBy: {
        type: DataTypes.BigIntDataTypeConstructor;
        allowNull: boolean;
    };
    deletedBy: {
        type: DataTypes.BigIntDataTypeConstructor;
        allowNull: boolean;
    };
    email: {
        type: DataTypes.TextDataTypeConstructor;
        allowNull: boolean;
    };
    emailSlug: {
        type: DataTypes.TextDataTypeConstructor;
        allowNull: boolean;
    };
    name: {
        type: DataTypes.TextDataTypeConstructor;
        allowNull: boolean;
    };
    hash: {
        type: DataTypes.TextDataTypeConstructor;
        allowNull: boolean;
    };
    permission: {
        type: DataTypes.EnumDataType<import("../utils/enums").PERMISSION>;
        allowNull: boolean;
    };
    confirmedAt: {
        type: DataTypes.DateDataTypeConstructor;
        allowNull: boolean;
    };
};
export declare const BigIntUserModelOptions: Partial<InitOptions<BigIntUserModel>>;
declare const _default: typeof BigIntUserModel;
export default _default;
