import { DataTypes, InitOptions } from 'sequelize';
import { BaseUserModel } from './baseUser';
export declare class UUIDUserModel extends BaseUserModel<string> {
    name?: string;
    nameSlug?: string;
    surname?: string;
    surnameSlug?: string;
    phone?: string;
    phoneSlug?: string;
    createdBy: string;
    creator: UUIDUserModel;
    updatedBy: string;
    editor: UUIDUserModel;
    deletedBy: string;
    destructor: UUIDUserModel;
}
export declare const UUIDUserModelAttributes: {
    id: {
        type: DataTypes.AbstractDataTypeConstructor;
        allowNull: boolean;
        primaryKey: boolean;
        defaultValue: DataTypes.AbstractDataTypeConstructor;
    };
    nameSlug: {
        type: DataTypes.TextDataTypeConstructor;
        allowNull: boolean;
    };
    surname: {
        type: DataTypes.TextDataTypeConstructor;
        allowNull: boolean;
    };
    surnameSlug: {
        type: DataTypes.TextDataTypeConstructor;
        allowNull: boolean;
    };
    phone: {
        type: DataTypes.TextDataTypeConstructor;
        allowNull: boolean;
    };
    phoneSlug: {
        type: DataTypes.TextDataTypeConstructor;
        allowNull: boolean;
    };
    createdBy: {
        type: DataTypes.AbstractDataTypeConstructor;
        allowNull: boolean;
    };
    updatedBy: {
        type: DataTypes.AbstractDataTypeConstructor;
        allowNull: boolean;
    };
    deletedBy: {
        type: DataTypes.AbstractDataTypeConstructor;
        allowNull: boolean;
    };
    email: {
        type: DataTypes.TextDataTypeConstructor;
        allowNull: boolean;
    };
    emailSlug: {
        type: DataTypes.TextDataTypeConstructor;
        allowNull: boolean;
    };
    name: {
        type: DataTypes.TextDataTypeConstructor;
        allowNull: boolean;
    };
    hash: {
        type: DataTypes.TextDataTypeConstructor;
        allowNull: boolean;
    };
    permission: {
        type: DataTypes.EnumDataType<import("../utils/enums").PERMISSION>;
        allowNull: boolean;
    };
    confirmedAt: {
        type: DataTypes.DateDataTypeConstructor;
        allowNull: boolean;
    };
};
export declare const UUIDUserModelOptions: Partial<InitOptions<UUIDUserModel>>;
declare const _default: typeof UUIDUserModel;
export default _default;
