import { ID, IUserRepository } from '@goodrequest/passport-jwt-wrapper';
import { BaseUserModel } from './models/baseUser';
export declare class UserRepository<IDType extends ID, M extends typeof BaseUserModel<IDType>> implements IUserRepository<IDType> {
    user: M;
    constructor(user: M);
    getUsers(limit: number, page: number, sort: string, search?: string): Promise<BaseUserModel<IDType>[]>;
    getUserByEmail(email: string): Promise<BaseUserModel<IDType> | undefined>;
    getUserById(id: IDType): Promise<BaseUserModel<IDType> | undefined>;
    updateUserPassword(id: IDType, newPasswordHash: string): Promise<BaseUserModel<IDType>>;
    /**
     * return user only if he has no password set -- is not registered
     * @param userID
     */
    getNewUserById(userID: IDType): Promise<BaseUserModel<IDType> | undefined>;
}
