"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createSlug = exports.uglyfyRawSqlQuery = void 0;
// eslint-disable-next-line import/no-extraneous-dependencies
const slugify_1 = __importDefault(require("slugify"));
/**
 * Returns uglyfied raw SQL query
 * @param {string} formattedRawSqlQuery Formatted raw SQL query (single/multi line comments, tabs, new lines)
 * @returns {string} Uglyfied raw SQL query (without single/multi line comments, tabs, new lines)
 */
// eslint-disable-next-line
const uglyfyRawSqlQuery = (formattedRawSqlQuery) => {
    return formattedRawSqlQuery
        ?.replace(/.*--.*\n/g, '')
        .replace(/\/\*[\s\S]*?\*\//g, '')
        .replace(/\t/g, '')
        .replace(/\n/g, ' ')
        .replace(/ {2,}/g, ' ')
        .trim();
};
exports.uglyfyRawSqlQuery = uglyfyRawSqlQuery;
/**
 * Creates slug form from value
 * @param {string} value
 * @returns {string} slug form if value is provided, else empty string
 */
function createSlug(value) {
    return (0, slugify_1.default)(value, {
        replacement: '-',
        remove: undefined,
        lower: true
    });
}
exports.createSlug = createSlug;
