"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.models = void 0;
// eslint-disable-next-line import/no-extraneous-dependencies
const pg_1 = __importDefault(require("pg"));
const sequelize_1 = require("sequelize");
const database = __importStar(require("../../config/database"));
const indexModels_1 = require("./indexModels");
const uuid_user_1 = require("./uuid-user");
const int_user_1 = require("./int-user");
// NOTE: set true because otherwise BIGINT return string instead of integer https://github.com/sequelize/sequelize/issues/1774
pg_1.default.defaults.parseInt8 = true;
// eslint-disable-next-line import/namespace
const { url, options: dbOptions } = database.test;
if (dbOptions.logging) {
    dbOptions.logging = (log) => {
        console.log(log, { language: 'sql', ignoreIllegals: true, theme: 'code' });
    };
}
const sequelize = new sequelize_1.Sequelize(url, dbOptions);
sequelize
    .authenticate()
    .then(() => console.log('Database connection has been established successfully'))
    .catch((err) => console.log(`Unable to connect to the database: ${err}`));
const buildModels = () => {
    const models = (0, indexModels_1.modelsBuilder)(sequelize);
    uuid_user_1.UuidUserModel.belongsTo(models.UserUUID, { as: 'creator', foreignKey: 'createdBy' });
    uuid_user_1.UuidUserModel.belongsTo(models.UserUUID, { as: 'editor', foreignKey: 'updatedBy' });
    uuid_user_1.UuidUserModel.belongsTo(models.UserUUID, { as: 'destructor', foreignKey: 'deletedBy' });
    int_user_1.IntUserModel.belongsTo(models.UserInt, { as: 'creator', foreignKey: 'createdBy' });
    int_user_1.IntUserModel.belongsTo(models.UserInt, { as: 'editor', foreignKey: 'updatedBy' });
    int_user_1.IntUserModel.belongsTo(models.UserInt, { as: 'destructor', foreignKey: 'deletedBy' });
    return models;
};
const models = buildModels();
exports.models = models;
exports.default = sequelize;
