"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IntUserModel = void 0;
const sequelize_1 = require("sequelize");
const src_1 = require("../../../src");
const user_int_1 = require("../../../src/models/user-int");
class IntUserModel extends src_1.BigIntUserModel {
}
exports.IntUserModel = IntUserModel;
/* eslint-disable no-param-reassign */
exports.default = (sequelize, modelName) => {
    IntUserModel.init({
        ...src_1.BigIntUserModelAttributes,
        // overload createdBy column definition
        createdBy: {
            type: sequelize_1.DataTypes.BIGINT,
            allowNull: true
        },
        // virtual attributes
        fullName: {
            type: sequelize_1.DataTypes.VIRTUAL,
            get() {
                return `${this.name ?? ''} ${this.surname ?? ''}`.trim();
            }
        }
    }, {
        ...user_int_1.BigIntUserModelOptions,
        sequelize,
        modelName,
        tableName: 'int-users'
    });
    return IntUserModel;
};
