"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UuidUserModel = void 0;
const sequelize_1 = require("sequelize");
const src_1 = require("../../../src");
const user_uuid_1 = require("../../../src/models/user-uuid");
class UuidUserModel extends src_1.UUIDUserModel {
}
exports.UuidUserModel = UuidUserModel;
/* eslint-disable no-param-reassign */
exports.default = (sequelize, modelName) => {
    UuidUserModel.init({
        ...src_1.UUIDUserModelAttributes,
        // overload createdBy column definition
        createdBy: {
            type: sequelize_1.DataTypes.UUID,
            allowNull: true
        },
        // virtual attributes
        fullName: {
            type: sequelize_1.DataTypes.VIRTUAL,
            get() {
                return `${this.name ?? ''} ${this.surname ?? ''}`.trim();
            }
        }
    }, {
        ...user_uuid_1.UUIDUserModelOptions,
        sequelize,
        modelName,
        tableName: 'uuid-users'
    });
    return UuidUserModel;
};
