"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.password = exports.userData = exports.createSlug = void 0;
const slugify_1 = __importDefault(require("slugify"));
const enums_1 = require("../../src/utils/enums");
/**
 * Creates slug form from value
 * @param {string} value
 * @param {string} [separator='-']
 * @returns {string} slug form if value is provided, else empty string
 */
// eslint-disable-next-line import/prefer-default-export
function createSlug(value, separator = '-') {
    if (value) {
        return (0, slugify_1.default)(value, {
            replacement: separator,
            remove: undefined,
            lower: true
        });
    }
    return '';
}
exports.createSlug = createSlug;
exports.userData = [
    {
        email: 'admin@goodrequest.com',
        permission: enums_1.PERMISSION.ADMINISTRATOR,
        isConfirmed: true
    },
    {
        email: 'test@goodrequest.com',
        permission: enums_1.PERMISSION.USER,
        isConfirmed: true
    },
    {
        email: 'nonConfirmed@goodrequest.com',
        permission: enums_1.PERMISSION.USER,
        isConfirmed: false
    }
];
exports.password = 'randomPass123.';
