// eslint-disable-next-line import/no-extraneous-dependencies
import slugify from 'slugify'

/**
 * Returns uglyfied raw SQL query
 * @param {string} formattedRawSqlQuery Formatted raw SQL query (single/multi line comments, tabs, new lines)
 * @returns {string} Uglyfied raw SQL query (without single/multi line comments, tabs, new lines)
 */
// eslint-disable-next-line
export const uglyfyRawSqlQuery = (formattedRawSqlQuery: string | null) => {
	return formattedRawSqlQuery
		?.replace(/.*--.*\n/g, '')
		.replace(/\/\*[\s\S]*?\*\//g, '')
		.replace(/\t/g, '')
		.replace(/\n/g, ' ')
		.replace(/ {2,}/g, ' ')
		.trim()
}

/**
 * Creates slug form from value
 * @param {string} value
 * @returns {string} slug form if value is provided, else empty string
 */
export function createSlug(value: string): string {
	return slugify(value, {
		replacement: '-',
		remove: undefined,
		lower: true
	})
}
