import { DataTypes, Sequelize } from 'sequelize'

import { BigIntUserModel, BigIntUserModelAttributes } from '../../../src'
import { BigIntUserModelOptions } from '../../../src/models/user-int'

export class IntUserModel extends BigIntUserModel {}

/* eslint-disable no-param-reassign */
export default (sequelize: Sequelize, modelName: string) => {
	IntUserModel.init(
		{
			...BigIntUserModelAttributes,
			// overload createdBy column definition
			createdBy: {
				type: DataTypes.BIGINT,
				allowNull: true
			},
			// virtual attributes
			fullName: {
				type: DataTypes.VIRTUAL,
				get() {
					return `${this.name ?? ''} ${this.surname ?? ''}`.trim()
				}
			}
		},
		{
			...BigIntUserModelOptions,
			sequelize,
			modelName,
			tableName: 'int-users'
		}
	)

	return IntUserModel
}
