import slugify from 'slugify'
import { PERMISSION } from '../../src/utils/enums'

/**
 * Creates slug form from value
 * @param {string} value
 * @param {string} [separator='-']
 * @returns {string} slug form if value is provided, else empty string
 */
// eslint-disable-next-line import/prefer-default-export
export function createSlug(value?: string, separator = '-'): string {
	if (value) {
		return slugify(value, {
			replacement: separator,
			remove: undefined,
			lower: true
		})
	}

	return ''
}

export const userData = [
	{
		email: 'admin@goodrequest.com',
		permission: PERMISSION.ADMINISTRATOR,
		isConfirmed: true
	},
	{
		email: 'test@goodrequest.com',
		permission: PERMISSION.USER,
		isConfirmed: true
	},
	{
		email: 'nonConfirmed@goodrequest.com',
		permission: PERMISSION.USER,
		isConfirmed: false
	}
]

export const password = 'randomPass123.'
